/*---------------------------------------------------------------------------*/
/* remote_control.cpp                                                        */
/* copyright (c) innovaphone 2019                                            */
/*                                                                           */
/*---------------------------------------------------------------------------*/

#include "platform/platform.h"

#include "common/interface/appsharing.h"
#include "common/ilib/json.h"

#include "remote_control.h"

IRemoteControl * IRemoteControl::Create(class IIoMux* const iomux, class URemoteControl * const user, class IInstanceLog * const log, AppSharingAppType appType)
{
    return new RemoteControl(user, log);
}

RemoteControl::RemoteControl(class URemoteControl * const user, class IInstanceLog * const log) : 
log(log),
user(user)
{
}

RemoteControl::~RemoteControl()
{
}

void RemoteControl::Close()
{
    if(user) user->RemoteControlCloseComplete();
}

void RemoteControl::MouseMove(word coorX, word coorY, word rPosX, word rPosY, word posX, word posY, int aspectRatio)
{
}

void RemoteControl::SendCommand(word coorX, word coorY, int aspectRatio, const char * cmd, int len)
{
}
